Bug 771751 - python optparse is splitting multi byte characters in the icorrect location
python optparse is splitting multi byte characters in the icorrect location
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Linux
high Severity high
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n
Depends On:
Blocks: 752316 771748 820040
  Show dependency treegraph
 
Reported: 2012-01-04 15:33 EST by Bryan Kearney
Modified: 2013-01-10 05:58 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Improper handling of multi-byte unicode characters in a dependent library. Consequence: Some multi-byte unicode characters were not being rendered properly. Fix: subscription-manager overrode the incorrect handling of multi-byte characters by subclassing the dependent library. Result: All help strings are displayed properly.
Story Points: ---
Clone Of: 752316
Environment:
Last Closed: 2012-12-10 16:41:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2012-04-02 06:48:27 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 William Poteat 2012-06-18 14:30:46 EDT
While not all strings are translated, those that are, are properly displayed.

Build is 1.0.2-1
Comment 4 RHEL Product and Program Management 2012-06-27 11:08:54 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 6 John Sefler 2012-10-17 12:35:54 EDT
Verifyin Version...
[root@jsefler-rhel59 ~]# rpm -q subscription-manager
subscription-manager-1.0.23-1.el5


[root@jsefler-rhel59 ~]# LANG=ja_JP.UTF8 subscription-manager repos --help
使用法: subscription-manager repos [オプション]

このマシンが使用権利を持つレポジトリの一覧表示

オプション:
  -h, --help        このヘルプメッセージを表示して終了
  --list            このシステム用の既知のレポジトリを一覧表示
  --enable=REPOID   有効にするレポジトリ
  --disable=REPOID  無効にするレポジトリ
[root@jsefler-rhel59 ~]# 


VERIFIED: Offending characters �� are not present

Also searching through the ja translation file to assert that no � is contained.
[root@jsefler-rhel59 ~]# msgunfmt /usr/share/locale/ja/LC_MESSAGES/rhsm.mo | grep �
[root@jsefler-rhel59 ~]# 


Moving to VERIFIED
Comment 8 Bryan Kearney 2012-12-10 16:41:36 EST
Bug Clean Up, these are in the current release.

Note You need to log in before you can comment on or make changes to this bug.